Bug 198466 - devel/p5-BZ-Client: Missing dependency
Summary: devel/p5-BZ-Client: Missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-09 19:46 UTC by Tom Judge
Modified: 2015-03-16 12:49 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Judge freebsd_committer 2015-03-09 19:46:22 UTC
devel/p5-BZ-Client is missing a dependency on devel/p5-DataTime-Format-ISO8601
Comment 1 Muhammad Moinur Rahman freebsd_committer 2015-03-10 09:03:39 UTC
Can you please elaborate. The dependency is on TEST and the mentioned one is added in TEST_DEPENDS. So far I have not found any build error in poudriere.
Comment 2 Tom Judge freebsd_committer 2015-03-10 17:20:17 UTC
Its not a build error, if you try to use the client module without this dependency installed you get a fatal error as there is a use for it:

amishhammer@chunjae '13:19:20' '/usr/ports/devel/p5-BZ-Client/work/BZ-Client-1.04/lib'
> $ grep -r DateTime::Format::ISO *
BZ/Client/XMLRPC/Value.pm:use DateTime::Format::ISO8601();
BZ/Client/XMLRPC/Value.pm:               $self->{'result'} = DateTime::Format::ISO8601->parse_datetime( $self->{'result'} );
Comment 3 commit-hook freebsd_committer 2015-03-16 12:48:52 UTC
A commit references this bug:

Author: bofh
Date: Mon Mar 16 12:47:55 UTC 2015
New revision: 381386
URL: https://svnweb.freebsd.org/changeset/ports/381386

Log:
  devel/p5-BZ-Client: Add MISSING Dependency

  PR:		198466
  Submitted by:	tj
  Approved by:	bapt marino (implicit)

Changes:
  head/devel/p5-BZ-Client/Makefile
Comment 4 Muhammad Moinur Rahman freebsd_committer 2015-03-16 12:49:54 UTC
Committed.